#
# spec file for package yamagi-quake2-xatrix
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yamagi-quake2-xatrix
Version:        2.05
Release:        1.1
Summary:        Quake II - Mission Pack 1 ('The Reckoning') for yamagi-quake2
License:        GPL-2.0+
Group:          Amusements/Games/3D/Shoot
Url:            http://www.yamagi.org/quake2/
Source:         http://deponie.yamagi.org/quake2/quake2-xatrix-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  update-desktop-files
BuildRequires:  yamagi-quake2
Requires:       yamagi-quake2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Yamagi Quake II is an enhanced client for id Software's Quake II. The main
focus is an unchanged single player experience like back in 1997, thus the
gameplay and the graphics are unaltered. Over 1000 bugs were fixed and an
extensive code audit done, making Yamagi Quake II one of the most solid Quake
II implementations available. Other than most ports Yamagi Quake II is full 64
bit clean, so it works perfectly on modern 64 bit processors and operating
systems.

This package provides the Quake II - Mission Pack 1 ('The Reckoning').


%prep
%setup -q -n quake2-xatrix-%{version}

# replace __DATE__ and __TIME__ with date/time of the last specfile changelog
# entry
modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{_sourcedir}/%{name}.changes")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""
find .  -name '*.[ch]' -print -exec sh -c '
    sed "/^[ \t]*#[ \t]*if/n;s/__DATE__/$3/g;s/__TIME__/$2/g" "$1" >"$1.new" && \
        mv "$1.new" "$1"
' {} {} "${TIME}" "${DATE}" \;

%build
%cmake
make %{_smp_mflags}

%install
install -dm 755 %{buildroot}%{_bindir}
install -Dpm 644 build/game.so %{buildroot}%{_prefix}/lib/yamagi-quake2/xatrix/game.so
echo -e "#!/bin/sh\nexec /usr/lib/yamagi-quake2/yquake2 \+set game xatrix \"\$@\"" > %{buildroot}%{_bindir}/yquake2-xatrix
chmod 755 %{buildroot}%{_bindir}/yquake2-xatrix

%suse_update_desktop_file -i yquake2-xatrix

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE README
%{_bindir}/yquake2-xatrix
%dir %{_prefix}/lib/yamagi-quake2/xatrix
%{_prefix}/lib/yamagi-quake2/xatrix/game.so
%{_datadir}/applications/yquake2-xatrix.desktop

%changelog
* Fri Jun  9 2017 mardnh@gmx.de
- Update to version 2.04
  - Fix a lot of potential crashes. (reported by Maarakate)
  - Fix monsters running in place.
  - Fix monsters not recognizing the player under some
    circumstances.
  - Fix a rare progress stopper in xsewer1 in coop. (by Maarakate)
  - Make Brains work again.
* Mon Aug  1 2016 mardnh@gmx.de
- Update to version 2.03
  - Make gibs and debris SOLID_BBOX so they move on entities.
  - Switch from an arch whitelist to an "all archs are supported"
    approach.
* Mon Feb 22 2016 mardnh@gmx.de
- initial package
